Bug 125642 - kernel's Makefile not suited for long directory paths
kernel's Makefile not suited for long directory paths
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2004-06-09 12:24 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:36:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple patch to the Makefile (876 bytes, text/plain)
2004-06-09 12:25 EDT, Joshua Jensen
no flags Details
patch committed to RHEL3 U7 for "make dep" under long cwd paths (678 bytes, patch)
2005-11-02 21:16 EST, Ernie Petrides
no flags Details | Diff

  None (edit)
Description Joshua Jensen 2004-06-09 12:24:09 EDT
Description of problem:

When recompiling the kernel, I often get this error:
/bin/sh: scripts/mkdep: Arg list too long


This happens when my current working directory is far from / with long
names.  The problem is this line in the kernel's Makefile:

scripts/mkdep -- `find $(FINDHPATH) \( -name SCCS -o -name .svn \)
-prune -o -follow -name \*.h ! -name modversions.h -print` > .hdepend

mkdep is running against A LOT of args, each with the patch included.

So... I've patched the Makefile (included)... and it works much better
now.  Can you apply this to all future RHEL 3 and Fedora kernels please?
Comment 1 Joshua Jensen 2004-06-09 12:25:06 EDT
Created attachment 100995 [details]
Simple patch to the Makefile
Comment 2 Joshua Jensen 2004-06-21 16:06:11 EDT
If appropriate I'd like to get credit somewhere in the Makefile or
kernel documentation for contributing this fix:

Joshua Jensen <joshua@iwsp.com>
Comment 3 Ernie Petrides 2004-06-21 20:18:45 EDT
The blame or the credit?  :-)

Just kidding, Joshua.  I'll add a comment to the Makefile right
above your change.  Unfortunately, I didn't have time to test and
propose your patch in RHEL3 U3 (which is already frozen at this
point).  But I expect to get this into U4 as soon as it opens.

Thanks again for your fix.  -ernie
Comment 4 Joshua Jensen 2004-11-05 08:59:32 EST
I just downloaded and inspected kernel-source-2.4.21-23.EL which I
believe is the upcoming U4 kernel... and still this line unchanged:

scripts/mkdep -- `find $(FINDHPATH) \( -name SCCS -o -name .svn \)
-prune -o -follow -name \*.h ! -name modversions.h -print` > .hdepend

So the change *didn't* make it into U4??  Maybe I'm missing something.
Comment 5 Ernie Petrides 2004-11-05 20:09:39 EST
Sorry, didn't make it in U4.  When the fix is committed (hopefully
sometime in U5), I'll change the state of this bug to MODIFIED.
Comment 6 Joshua Jensen 2004-12-20 16:59:26 EST
Did this make it into the RHEL3 U4 errata:

https://rhn.redhat.com/errata/RHBA-2004-550.html


???
Comment 7 Ernie Petrides 2004-12-20 20:11:02 EST
No, it didn't, as I already wrote in comment #5.
Comment 11 Joshua Jensen 2005-05-24 10:55:09 EDT
Now that https://rhn.redhat.com/errata/RHSA-2005-294.html is out... did this
make it into U5?

If not why not?
Comment 12 Ernie Petrides 2005-05-24 15:29:38 EDT
Hello, Joshua.  As long as there continue to be higher priority bugs
to fix, this problem will never be addressed.  Red Hat doesn't support
kernels built at customer sites, and with limited resources here, it is
most important for us to address the problems (in things that we support)
that are most seriously impacting customers.

As you can read in the U5 advisory, we addressed over 200 BZs/FZs in U5.
It's not like we're sitting around here idle.
Comment 13 Joshua Jensen 2005-05-24 15:44:33 EDT
This is a very very simple fix.  Should I change this to be a FC4 bug so that it
will get fixed "upstream"?
Comment 14 Neil Horman 2005-05-24 16:15:28 EDT
If you want it to get fixed upstream, you should post it to LKML.  That way, if
it gets picked up, it will just become part of Fedora and RHEL.
Comment 18 Ernie Petrides 2005-11-01 20:02:42 EST
Patch posted for internal review on 1-Nov-2005.
Comment 19 Ernie Petrides 2005-11-02 20:55:22 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.8.EL).
Comment 20 Ernie Petrides 2005-11-02 21:16:26 EST
Created attachment 120673 [details]
patch committed to RHEL3 U7 for "make dep" under long cwd paths

Hi, Josh.  Here's the patch that was committed to RHEL3 U7 tonight.

Sorry it took so long to get this resolved.

Cheers.  -ernie
Comment 23 Red Hat Bugzilla 2006-03-15 10:36:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.